#include <bits/stdc++.h>
using namespace std;

int main() {
    long long n;
    cin>>n;
    long long A[n];
    long long ans=0;
    for(int i=0;i<n;i++){
        cin>>A[i];
    }
    long long ch=0;
    for(int i=0;i<n-1;i++){
        if(A[i]<=n-i-1 && A[i]!=A[i+1]){
            ch=i+1;
        }
    }
    long long f=count(A,A+n,ch);
    long long ch1=0;
    long long l=A[n-1];
    for(int i=n-1;i>ch-f;i--){
        ans+=l;
        if(A[i]!=A[i-1]){
            ch1+=count(A,A+n,A[i]);
            l=A[i-1]-ch1;
        }
        //cout<<ans<<" ";
        
    }
    cout<<ans;
}
